Skip to main content
PUT
/
rewards
/
payout-groups
/
{id}
Update Payout Group
curl --request PUT \
  --url https://api.example.com/rewards/payout-groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "jurisdiction": "<string>"
}
'
{
  "group": {
    "id": "<string>",
    "ledger": "<string>",
    "asset_type": "<string>",
    "rate_id": "<string>",
    "jurisdiction": "<string>",
    "claimer_address": "<string>",
    "onchain_status": "<string>",
    "balance": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "manager_address": "<string>",
    "destination_address": "<string>",
    "onchain_group_id": "<string>",
    "balance_at": "2023-11-07T05:31:56Z",
    "last_claim_all_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paxos.com/llms.txt

Use this file to discover all available pages before exploring further.

OAuth Scope
rewards:write_payout_groups

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

UUID direct reference to the existing payout group.

Body

application/json
name
string

User-readable name for this group (optional).

jurisdiction
string

Jurisdiction for this payout group (optional, e.g. "US", "EU").

Response

200 - application/json

A successful response.

group
object